clone:
  hg:
    image: plugins/hg

pipeline:
  linter:
    image: debian
    commands:
      - apt-get update -qq && DEBIAN_FRONTEND=noninteractive apt-get -qq -y install flake8
      - flake8
  mattermost:
    image: plugins/slack
    channel: dev
    username: drone
    secrets: [ slack_webhook ]
    when:
      status: [ failure, success ]

